{{ ansible_managed | comment }}
[Unit]
Description=Prometheus Server
Documentation=https://github.com/prometheus/prometheus

[Service]
Restart=always
User={{ prometheus_user }}
Group={{ prometheus_group }}
ExecStart={{ _prometheus_paths.bin }}/prometheus \
    --config.file {{ _prometheus_paths.etc }}/prometheus.yml \
    --storage.tsdb.path {{ _prometheus_paths.home }} \
    --web.console.templates={{ _prometheus_paths.etc }}/consoles \
    --web.console.libraries={{ _prometheus_paths.etc }}/console_libraries \
    --web.listen-address={{ prometheus_listen_address }}
ExecReload=/bin/kill -HUP $MAINPID
TimeoutStopSec=20s
SendSIGKILL=no

[Install]
WantedBy=multi-user.target
